import express from 'express';
import { AdminNoteChanged } from './endpoints/admin-note-change.rpc';
import { FrequencyChanged } from './endpoints/frequency-change.rpc';
import { GroupGrantsChanged } from './endpoints/group-grants-changed.rpc';
import { GroupMemberChanged } from './endpoints/group-member-changed.rpc';

const RpcRouterGroup = express.Router();

RpcRouterGroup.get('/grants-changed/:groupId', GroupGrantsChanged);
RpcRouterGroup.get('/member-change/:accountId', GroupMemberChanged);
RpcRouterGroup.get('/admin-note-changed/:accountId', AdminNoteChanged);
RpcRouterGroup.get('/frequency-change/:frequency', FrequencyChanged);

export default RpcRouterGroup;
